package com.ruoyi.ss.abnormal.mapper;

import com.ruoyi.ss.abnormal.domain.Abnormal;
import com.ruoyi.ss.abnormal.domain.AbnormalQuery;
import com.ruoyi.ss.abnormal.domain.AbnormalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 设备故障Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-30
 */
public interface AbnormalMapper
{
    /**
     * 查询设备故障
     *
     * @param abnormalId 设备故障主键
     * @return 设备故障
     */
    public AbnormalVO selectAbnormalByAbnormalId(Long abnormalId);

    /**
     * 查询设备故障列表
     *
     * @param abnormal 设备故障
     * @return 设备故障集合
     */
    public List<AbnormalVO> selectAbnormalList(AbnormalQuery abnormal);

    /**
     * 新增设备故障
     *
     * @param abnormal 设备故障
     * @return 结果
     */
    public int insertAbnormal(Abnormal abnormal);

    /**
     * 修改设备故障
     *
     * @param abnormal 设备故障
     * @return 结果
     */
    public int updateAbnormal(Abnormal abnormal);

    /**
     * 删除设备故障
     *
     * @param abnormalId 设备故障主键
     * @return 结果
     */
    public int deleteAbnormalByAbnormalId(Long abnormalId);

    /**
     * 批量删除设备故障
     *
     * @param abnormalIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAbnormalByAbnormalIds(Long[] abnormalIds);

    /**
     * 逻辑删除
     * @param abnormalIds
     * @return
     */
    int logicDel(@Param("abnormalIds") List<Long> abnormalIds);

    /**
     * 查询数量
     */
    int selectCount(AbnormalQuery query);
}
